Instalar Flash Player en Ubuntu x64

Cuando instalas un SO a 64bits, todo el software debe estar portado a esta arquitectura, por ende, cuando instalas ubuntu x64 algunas aplicaciones no funcionan, es el caso de flash, una solución es usar el port de nspluginwrapper.
Requerimientos:

  • Descargar nspluginwrapper en rpm: plugin y viewer
  • Descargar Adobe Flash Player
  • Instalar alien y algunas cosas para 32bits:
    • sudo apt-get install ia32-libs ia32-libs-gtk linux32 alien ia32-libs ia32-libs-gtk linux32 lib32asound2

Convertir de RPM a DEB

  • sudo dpkg -i nspluginwrapper-0.9.91.5-1.x86_64.deb
  • sudo dpkg -i nspluginwrapper-i386-0.9.91.5-1.x86_64.deb

Instalar

  • sudo alien -d nspluginwrapper-0.9.91.5-1.x86_64.rpm
  • sudo alien -d nspluginwrapper-i386-0.9.91.5-1.x86_64.rpm

Descomprimir y Copiar Flash Player

  • tar zxvf install_flash_player_9_linux.tar.gz
  • cd install_flash_player_9_linux

Hacer la “movida”

  • sudo mv libflashplayer.so /usr/lib/firefox/plugins
  • sudo /usr/lib/nspluginwrapper/x86_64/linux/npconfig -i /usr/lib/mozilla/plugins/libflashplayer.so
  • sudo cp /usr/lib/mozilla/plugins/npwrapper.libflashplayer.so /usr/lib/mozilla-firefox/plugins/

Ahora puedes reiniciar firefox y disfrutar de flash player funcionando con audio y todo.

7 comments on “Instalar Flash Player en Ubuntu x64Add yours →

  1. hey ! buen sitioooo !! y por lo q dices parece q se viene mas pro aun !
    llegue aki por siguiendo estadisticas de mi sitio y me encuentro con un blog weno y mas encima veo un comentario de hexagrama :O
    uta q es chica la internerd xD

    asi q de san pedro? capaz q hasta hemos carreteado juntos pues!!

    saludos!!!

  2. honestamente….puta la wea engorrosaaaaaaaa
    aunque almenos tiene solucion
    no como en vista 64…que es sencillamente TRAUMANTE

  3. Hola, en el penultimo paso me tira este error :S, no tengo ni idea que sera

    carlos@carlos-pc01:~$ sudo /usr/lib/nspluginwrapper/x86_64/linux/npconfig -i /usr/lib/mozilla/plugins/libflashplayer.so
    nspluginwrapper: /usr/lib/mozilla/plugins/libflashplayer.so is not a valid NPAPI plugin

  4. En primer lugar gracias por tu esfuerzo en ayudar a gente como yo, que somos nuevos en el mundo linux, y aunque hay quien asegura que es facilisimo, yo lo encuentro realmente dificil, aun asi, lo encuentro muy entretenido y poco a poco salgo de cada situacion dificil, ahora estoy en que no puedo ver los videos del youtuve por que me falta el flash player, pues gracias a ti casi lo consigo, y digo casi por que aun siguiendo paso a paso tal y como lo expones, en el momento de “moverlo”, me da error, todo lo anterior si que fue correcto, pero me quedo ahi, cual puede ser el problema???, gracias

  5. Hola, cuando pongo…
    sudo /usr/lib/nspluginwrapper/x86_64/linux/npconfig -i /usr/lib/mozilla/plugins/libflashplayer.so

    tengo un error que dice, “nspluginwrapper: /usr/lib/mozilla/plugins/libflashplayer.so is not a valid NPAPI plugin”
    Cual sera el problema?

    Por cierto, los pasos “Convertir de RPM a DEB” e “Instalar” estan alrevez XD

  6. Hay un error en los pasos:
    deberia ser asi:

    Convertir de RPM a DEB
    * sudo alien -d nspluginwrapper-0.9.91.5-1.x86_64.rpm
    * sudo alien -d nspluginwrapper-i386-0.9.91.5-1.x86_64.rpm

    Instalar

    * sudo dpkg -i nspluginwrapper-0.9.91.5-1.x86_64.deb
    * sudo dpkg -i nspluginwrapper-i386-0.9.91.5-1.x86_64.deb

Leave a Reply

Your email address will not be published. Required fields are marked *